=== debian/changelog ===
murano (1:7.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:31:20 +0100

murano (1:7.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: Scope to 7.x series.
  * New upstream release candidate for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Mar 2019 10:10:37 -0400

murano (1:7.0.0~b1~git2019013016.a6130e42-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 16:02:08 -0500

murano (1:7.0.0~b1~git2018111913.abe0516d-0ubuntu2) disco; urgency=medium

  * d/p/skip-py37-tests.patch: Adjusted to skip tests on py36 as well.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Nov 2018 16:21:40 -0500

murano (1:7.0.0~b1~git2018111913.abe0516d-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.
  * d/p/fix-async-py37.patch: Dropped. Fixed in upstream snapshot.
  * d/p/skip-py37-tests.patch: Skip remaining py37 tests that are failing.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:48:56 -0500

murano (1:6.0.0-0ubuntu3) disco; urgency=medium

  * d/p/fix-async-py37.patch: Cherry-pick from upstream master branch to drop
    use of async for variable/parameter names as it is a keyword in Python 3.7.
  * d/rules: Enable py37 unit tests.
  * d/p/skip-py37-stop-iteration-test.patch: Skip the remaining p37 test that
    is failing.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Nov 2018 14:09:52 -0500
