=== debian/changelog ===
murano (1:8.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 19:23:32 +0200

murano (1:8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 18:38:03 +0200

murano (1:8.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Sep 2019 22:42:44 +0200

murano (1:7.0.0-4) unstable; urgency=medium

  * Rebuilt with muranoclient 1.2.0-4.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 14:17:17 +0200

murano (1:7.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 19:28:13 +0200

murano (1:7.0.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 11:58:51 +0200

murano (1:7.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 09:59:27 +0200

murano (1:7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Add oslo.upgradecheck as (build-)depends.
  * Removed python3- prefix when calling the config generators.
  * Removed Python 3.7 patches applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 23:45:31 +0100

murano (1:6.0.0-2) unstable; urgency=medium

  * Correctly remove /etc/murano after deleting other files (Closes: #910916).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jan 2019 09:56:15 +0100

murano (1:6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Remove /etc/murano/{logging.conf,murano-paste.ini,policy.yaml} on purge
    (Closes: #905505).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Aug 2018 11:32:21 +0200

murano (1:6.0.0~rc1-2) experimental; urgency=medium

  * Fix binaries-have-file-conflict
  * d/control: Add replaces and breaks to murano-common
  * Run wrap-and-sort -bast

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 28 Aug 2018 14:58:12 +0200

murano (1:6.0.0~rc1-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Do not redefine $PATH in init.in scripts (already done in o-p-t).
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add py3.7-fix-async-keyword.patch.
  * debian/rules: rm -rf $(CURDIR)/debian/tmp/usr/etc.
  * Add py3.7-remove-StopIteration-failing-test.patch.

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 May 2018 17:00:39 +0200

murano (1:5.0.0-2) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 17:50:42 +0000
