=== debian/changelog ===
murano (1:9.0.0~b2~git2020020609.25ebd01d-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 06 Feb 2020 10:58:21 +0100

murano (1:9.0.0~b1~git2019121815.3afc74b1-0ubuntu2) focal; urgency=medium

  * d/rules: Use PBR_VERSION to handle ~git versioning.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 13 Jan 2020 17:51:30 +0100

murano (1:9.0.0~b1~git2019121815.3afc74b1-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/p/skip-py38-failures.patch: Skip py38 failures until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Dec 2019 15:37:52 -0500

murano (1:8.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:27:24 +0100

murano (1:8.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/watch: Scope to 8.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Use python3-semantic-version >= 2.6.0 as 2.8.2 is
    only required for tests.
  * d/p/skip-semantic-version-2.8.2-tests.patch: Skip tests that require
    semantic-version >= 2.8.2 until it is available in Ubuntu.
  * d/p/skip-py37*.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Sep 2019 16:00:28 -0400

murano (1:8.0.0~b2~git2019073018.7435a2e7-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 18:42:28 +0200

murano (1:8.0.0~b1~git2019061621.8fb05fd9-0ubuntu1) eoan; urgency=medium

  * New upstream release 8.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Fix binary name to generate config file.
  * d/rules: Fix binary name to generate policy sample.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 19 Jun 2019 11:26:27 +0100
