## murano 9.0.0~b3~git2020041013.564f9cf3

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
 stevedore>=1.20.0 # Apache-2.0
 alembic>=0.8.10 # MIT
-eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
+eventlet!=0.18.3,!=0.20.1,!=0.21.0,!=0.23.0,!=0.25.0,>=0.18.2 # MIT
 PasteDeploy>=1.5.0 # MIT
 Routes>=2.3.1 # MIT
 tenacity>=4.4.0 # Apache-2.0
@@ -27,7 +27,7 @@
 # For paste.util.template used in keystone.common.template
 Paste>=2.0.2 # MIT
 
-jsonschema<3.0.0,>=2.6.0 # MIT
+jsonschema>=2.6.0 # MIT
 python-keystoneclient>=3.8.0 # Apache-2.0
 python-heatclient>=1.10.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0
@@ -47,5 +47,5 @@
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.upgradecheck>=0.1.0 # Apache-2.0
-semantic-version>=2.3.1 # BSD
+semantic-version>=2.8.2 # BSD
 castellan>=0.16.0 # Apache-2.0
