=== contrib/plugins/magnum_plugin/requirements.txt ===
python-magnumclient>=2.0.0  # Apache-2.0
