=== debian/changelog ===
murano (1:9.0.0~b3~git2020041013.564f9cf3-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/murano-common.postinst.in: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:16:48 -0400

murano (1:9.0.0~b2~git2020020609.25ebd01d-0ubuntu2) focal; urgency=medium

  * d/murano-common.postinst.in: Set default ownership and permissions
    for /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Mar 2020 14:43:49 -0400
