## murano 9.0.0

=== requirements.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
 WebOb>=1.7.1 # MIT
 kombu!=4.0.2,>=4.0.0 # BSD
 psutil>=3.2.2 # BSD
-six>=1.10.0 # MIT
 netaddr>=0.7.18 # BSD
 PyYAML>=3.12 # MIT
 jsonpatch!=1.20,>=1.16 # BSD
