=== contrib/plugins/cloudify_plugin/requirements.txt ===
cloudify-rest-client>=3.2
