=== contrib/plugins/murano_exampleplugin/requirements.txt ===
python-glanceclient>=3.1.0  # Apache-2.0
